Bug 188740 - Review Request: python-paramiko - a SSH2 protocol library for python
Review Request: python-paramiko - a SSH2 protocol library for python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-12 13:51 EDT by Shahms E. King
Modified: 2014-01-21 08:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-13 12:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shahms E. King 2006-04-12 13:51:26 EDT
Spec URL: http://shahms.mesd.k12.or.us/packages/python-paramiko.spec
SRPM URL: http://shahms.mesd.k12.or.us/packages/python-paramiko-1.5.3-1.src.rpm
Description:

Paramiko (a combination of the esperanto words for "paranoid" and "friend") is
a module for python 2.3 or greater that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka
TLS), the SSH2 protocol does not require heirarchical certificates signed by a
powerful central authority. You may know SSH2 as the protocol that replaced
telnet and rsh for secure access to remote shells, but the protocol also
includes the ability to open arbitrary channels to remote services across an
encrypted tunnel. (This is how sftp works, for example.)
Comment 1 Jeffrey C. Ollie 2006-04-12 14:14:53 EDT
I'll have a full review in a bit...
Comment 2 Jeffrey C. Ollie 2006-04-12 16:45:26 EDT
Here's the full review:

- MUST: rpmlint must be run on every package. The output should
  be posted in the review.

OK (no output)

- MUST: The package must be named according to the Package
  Naming Guidelines.

OK

- MUST: The spec file name must match the base package %{name},
  in the format %{name}.spec

OK

- MUST: The package must meet the Packaging Guidelines.

OK

- MUST: The package must be licensed with an open-source
  compatible license and meet other legal requirements as
  defined in the legal section of Packaging Guidelines.

OK (LGPL)

- MUST: The License field in the package spec file must match
  the actual license.

OK

- MUST: If (and only if) the source package includes the text of
  the license(s) in its own file, then that file, containing the
  text of the license(s) for the package must be included in
  %doc.

OK

- MUST: The spec file must be written in American English.

OK

- MUST: The spec file for the package MUST be legible. If the
  reviewer is unable to read the spec file, it will be
  impossible to perform a review. Fedora Extras is not the place
  for entries into the Obfuscated Code Contest ([WWW]
  http://www.ioccc.org/).

OK

- MUST: The sources used to build the package must match the
  upstream source, as provided in the spec URL. Reviewers should
  use md5sum for this task.

OK

- MUST: The package must successfully compile and build into
  binary rpms on at least one supported architecture.

OK

- MUST: If the package does not successfully compile, build or
  work on an architecture, then those architectures should be
  listed in the spec in ExcludeArch. Each architecture listed in
  ExcludeArch needs to have a bug filed in bugzilla, describing
  the reason that the package does not compile/build/work on
  that architecture. The bug number should then be placed in a
  comment, next to the corresponding ExcludeArch line. New
  packages will not have bugzilla entries during the review
  process, so they should put this description in the comment
  until the package is approved, then file the bugzilla entry,
  and replace the long explanation with the bug number. The bug
  should be marked as blocking one (or more) of the following
  bugs to simplify tracking such issues: [WWW]
  FE-ExcludeArch-x86, [WWW] FE-ExcludeArch-x64, [WWW]
  FE-ExcludeArch-ppc

OK

- MUST: A package must not contain any BuildRequires that are
  listed in the exceptions section of Packaging Guidelines.

OK

- MUST: All other Build dependencies must be listed in
  BuildRequires.

OK

- MUST: The spec file MUST handle locales properly. This is done
  by using the %find_lang macro. Using %{_datadir}/locale/* is
  strictly forbidden.

OK (no locale-specific content in the package)

- MUST: If the package contains shared library files located in
  the dynamic linker's default paths, that package must call
  ldconfig in %post and %postun. If the package has multiple
  subpackages with libraries, each subpackage should also have a
  %post/%postun section that calls /sbin/ldconfig. An example of
  the correct syntax for this is:

  %post -p /sbin/ldconfig
  %postun -p /sbin/ldconfig

OK (no shared library files)

- MUST: If the package is designed to be relocatable, the
  packager must state this fact in the request for review, along
  with the rationalization for relocation of that specific
  package. Without this, use of Prefix: /usr is considered a
  blocker.

OK (not relocatable)

- MUST: A package must own all directories that it creates. If
  it does not create a directory that it uses, then it should
  require a package which does create that directory. The
  exception to this are directories listed explicitly in the
  Filesystem Hierarchy Standard ([WWW]
  http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe
  to assume that those directories exist.

OK

- MUST: A package must not contain any duplicate files in the
  %files listing.

OK

- MUST: Permissions on files must be set properly. Executables
  should be set with executable permissions, for example. Every
  %files section must include a %defattr(...) line.

OK

- MUST: Each package must have a %clean section, which contains
  rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

- MUST: Each package must consistently use macros, as described
  in the macros section of Packaging Guidelines.

OK

- MUST: The package must contain code, or permissable
  content. This is described in detail in the code vs. content
  section of Packaging Guidelines.

OK

- MUST: Large documentation files should go in a -docs
  subpackage. (The definition of large is left up to the
  packager's best judgement, but is not restricted to
  size. Large can refer to either size or quantity)

OK

- MUST: If a package includes something as %doc, it must not
  affect the runtime of the application. To summarize: If it is
  in %doc, the program must run properly if it is not present.

OK

- MUST: Header files or static libraries must be in a -devel
  package.

OK

- MUST: Files used by pkgconfig (.pc files) must be in a -devel
  package.

OK

- MUST: If a package contains library files with a suffix
  (e.g. libfoo.so.1.1), then library files that end in .so
  (without suffix) must go in a -devel package.

OK

- MUST: In the vast majority of cases, devel packages must
  require the base package using a fully versioned dependency.

OK

- MUST: Packages must NOT contain any .la libtool archives,
  these should be removed in the spec.

OK

- MUST: Packages containing GUI applications must include a
  %{name}.desktop file, and that file must be properly installed
  with desktop-file-install in the %install section. This is
  described in detail in the desktop files section of Packaging
  Guidelines. If you feel that your packaged GUI application
  does not need a .desktop file, you must put a comment in the
  spec file with your explanation.

OK

- MUST: Packages must not own files or directories already owned
  by other packages. The rule of thumb here is that the first
  package to be installed should own the files or directories
  that other packages may rely upon. This means, for example,
  that no package in Fedora Extras should ever share ownership
  with any of the files or directories owned by the filesystem
  or man package. If you feel that you have a good reason to own
  a file or directory that another package owns, then please
  present that at package review time.

OK

- SHOULD: If the source package does not include license text(s) as a
  separate file from upstream, the packager SHOULD query upstream to
  include it.

OK

- SHOULD: The description and summary sections in the package spec
  file should contain translations for supported Non-English
  languages, if available.

OK

- SHOULD: The reviewer should test that the package builds in mock.

OK

- SHOULD: The package should compile and build into binary rpms on all
  supported architectures.

OK (noarch rpm)

- SHOULD: The reviewer should test that the package functions as
  described. A package should not segfault instead of running, for
  example.

OK

- SHOULD: If scriptlets are used, those scriptlets must be sane. This
  is vague, and left up to the reviewers judgement to determine
  sanity.

OK (no scriptlets)

- SHOULD: Usually, subpackages other than devel should require the
  base package using a fully versioned dependency.

OK (no subpackages)


APPROVED
Comment 3 Jeffrey C. Ollie 2007-07-19 13:27:25 EDT
Package Change Request
======================
Package Name: python-paramiko
Updated Fedora Owners: shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us
Updated EPEL Owners: shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us

Adding myself as co-maintainer, ref #247626
Comment 4 Jeffrey C. Ollie 2007-07-19 13:28:11 EDT
I always forget to set the CVS flag...

Package Change Request
======================
Package Name: python-paramiko
Updated Fedora Owners: shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us
Updated EPEL Owners: shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us

Adding myself as co-maintainer, ref #247626
Comment 5 Kevin Fenzi 2007-07-19 16:02:37 EDT
cvs done.
Comment 6 Toshio Kuratomi 2007-07-24 15:48:55 EDT
Package Change Request
======================
Package Name: python-paramiko
Updated Fedora Owners:
shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us,ivazqueznet@gmail.com
Updated EPEL Owners:
shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us,ivazqueznet@gmail.com

Adding Ignacio Vasquez as a comaintainer
Comment 7 Ignacio Vazquez-Abrams 2007-07-30 13:22:09 EDT
Package Change Request
======================
Package Name: python-paramiko
Updated EPEL Owners: shahms@shahms.com,toshio@tiki-lounge.com,jeff@ocjtech.us
Comment 8 Jason Tibbitts 2007-07-30 13:44:21 EDT
I have removed ivazqueznet@gmail.com as a co-maintainer from the EPEL branches only.
Comment 9 Pádraig Brady 2014-01-21 06:50:21 EST
Package Change Request
======================
Package Name: python-paramiko
New Branches: el6
Owners: jcollie toshio

For subsequent branching for RDO
Comment 10 Jon Ciesla 2014-01-21 08:48:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.